<?php
/**
 * Better Together Discounts Promotion Page
 *   For Better Together 2.0 
 *
 * @package page
 * @copyright Copyright 2007 That Software Guy
 * @copyright Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: header_php.php 1.3 $
 */

  $_SESSION['navigation']->remove_current_page();

  require(DIR_WS_MODULES . zen_get_module_directory('require_languages.php'));

// include template specific file name defines
  $define_page = zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] . '/html_includes/', FILENAME_DEFINE_BETTERTOGETHER_PROMO, 'false');

  $breadcrumb->add(NAVBAR_TITLE);
  
  $value = "ot_better_together.php";
  include_once(zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] .
          '/modules/order_total/', $value, 'false'));
  include_once(DIR_WS_MODULES . "order_total/" . $value);
  $discount = new ot_better_together();

  if (!defined(CAT_TO_PROD)) {
     define('CAT_TO_PROD', '4');
  }

  global $order, $currencies;
  $marketing_data = array(); 

  if ($discount->check() > 0) {
     for ($dis=0, $n=count($discount->twoferlist); $dis<$n; $dis++) {
         $li = $discount->twoferlist[$dis]; 
         $match = 0;
         if ($li->flavor == TWOFER_PROD) {
            $match = 1; 
            $disc_link = '<a href="'.zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $li->ident1).'">'. zen_get_products_name($li->ident1, $_SESSION['languages_id']).'</a>';
            $disc_string = REV_GET_THIS; 
            $disc_string .= $disc_link;
            $disc_string .= GET_THIS;
            $disc_string .= SECOND_ONE;
            $disc_string .= FREE;
         } else if ($li->flavor == TWOFER_CAT) {
            $match = 1; 
            $disc_link = '<a href="'.zen_href_link(FILENAME_DEFAULT, 'cPath=' . $li->ident1).'">'. zen_get_category_name($li->ident1, $_SESSION['languages_id']).'</a>';
            $disc_string = REV_GET_ANY; 
            $disc_string .= $disc_link;
            $disc_string .= GET_THIS;
            $disc_string .= SECOND_ONE;
            $disc_string .= FREE;
         }
         if ($match == 1) {
            $marketing_data[] = $disc_string . "\n";
         }
     }
   
     for ($dis=0, $n=count($discount->discountlist); $dis<$n; $dis++) {
         $li = $discount->discountlist[$dis]; 
         $match = 0; 
         if ($li->flavor == PROD_TO_PROD) {
            $match = 1; 
            $first_link = '<a href="'.zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $li->ident1).'">'. zen_get_products_name($li->ident1, $_SESSION['languages_id']).'</a>';
            $disc_link = '<a href="'.zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $li->ident2).'">'. zen_get_products_name($li->ident2, $_SESSION['languages_id']).'</a>';
         } else if ($li->flavor == PROD_TO_CAT) {
            $match = 1; 
            $first_link = '<a href="'.zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $li->ident1).'">'. zen_get_products_name($li->ident1, $_SESSION['languages_id']).'</a>';
            $disc_link = '<a href="'.zen_href_link(FILENAME_DEFAULT, 'cPath=' . $li->ident2).'">'. zen_get_category_name($li->ident2, $_SESSION['languages_id']).'</a>';
         } else if ($li->flavor == CAT_TO_CAT) {
            $match = 1; 
            $first_link = '<a href="'.zen_href_link(FILENAME_DEFAULT, 'cPath=' . $li->ident1).'">'. zen_get_category_name($li->ident1, $_SESSION['languages_id']).'</a>';
            $disc_link = '<a href="'.zen_href_link(FILENAME_DEFAULT, 'cPath=' . $li->ident2).'">'. zen_get_category_name($li->ident2, $_SESSION['languages_id']).'</a>';
         } else if ($li->flavor == CAT_TO_PROD) {
            $match = 1; 
            $first_link = '<a href="'.zen_href_link(FILENAME_DEFAULT, 'cPath=' . $li->ident1).'">'. zen_get_category_name($li->ident1, $_SESSION['languages_id']).'</a>';
            $disc_link = '<a href="'.zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $li->ident2).'">'. zen_get_products_name($li->ident2, $_SESSION['languages_id']).'</a>';
         }
         if ($match == 1) {
            if ( ($li->flavor == CAT_TO_CAT) || 
                 ($li->flavor == CAT_TO_PROD) ) {
               $disc_string = REV_GET_ANY; 
            } else {
               $disc_string = REV_GET_THIS; 
            }
            $disc_string .= $first_link; 
            if ( ($li->flavor == PROD_TO_PROD) ||
                 ($li->flavor == CAT_TO_PROD) ) {
                $disc_string .= GET_THIS; 
            } else {
                $disc_string .= GET_ANY; 
            } 
            if ( ($li->flavor == PROD_TO_PROD)  &&
                 ($li->ident1 == $li->ident2) && 
                 ($discount->nocontext == 0) ) {
                   $disc_string .= SECOND_ONE;
            } else { 
                $disc_string .= $disc_link; 
            }
            $disc_string .= " "; 
            if ($li->type == "%") {
               if ($li->amt != 100) {
                  $str_amt = $li->amt . "%"; 
                  $off_string = sprintf(OFF_STRING_PCT, $str_amt);
               } else {
                  $off_string = FREE_STRING;
               }
               $disc_string .= $off_string;
            } else {
               $curr_string = $currencies->format($li->amt, true, $order->info['currency'], $order->info['currency_value']);
               $off_string = sprintf(OFF_STRING_CURR, $curr_string); 
               $disc_string .= $off_string;
            }
            $marketing_data[] = $disc_string ."\n";
         }
     }
  }
?>
